Summary: darcs - David's Advanced Revision Control System
Name: darcs
Version: 0.9.14
Release: alt1
URL: http://www.abridgegame.org/darcs
Source0: %url/%name-%version.tar.gz
Patch0: %name-%version-alt.patch
License: GNU GPL
Group: Development/Other
BuildRequires: ghc, zlib-devel, libreadline-devel, libcurl-devel, tetex-latex
BuildRequires: libncurses-devel, tetex-dvips, latex2html

%description 
Darcs is a revision control system, along the lines of CVS or arch.
That means that it keeps track of various revisions and branches of
your project, allows for changes to propogate from one branch to
another. Darcs is intended to be an ``advanced'' revision control
system. Darcs has two particularly distinctive features which differ
from other revision control systems: 
  1) each copy of the source is a fully functional branch, and 
  2) underlying darcs is a consistent and powerful theory of patches.

%package docs
Summary: Documentation for darcs - David's Advances Revision Control System
License: GNU GPL
Group: Development/Other
Requires: %name = %version-%release

%description docs
Darcs is a revision control system, along the lines of CVS or arch.
That means that it keeps track of various revisions and branches of
your project, allows for changes to propogate from one branch to
another. Darcs is intended to be an ``advanced'' revision control
system. Darcs has two particularly distinctive features which differ
from other revision control systems: 
  1) each copy of the source is a fully functional branch, and 
  2) underlying darcs is a consistent and powerful theory of patches.

This package provides user manual in both HTML and PostScript formats

%package server
Summary: Server side components of darcs - David's Advanced Revision Control System
License: GNU GPL
Group: Development/Other
Requires: %name = %version-%release
PreReq: apache-common

%description server
Darcs is a revision control system, along the lines of CVS or arch.
That means that it keeps track of various revisions and branches of
your project, allows for changes to propogate from one branch to
another. Darcs is intended to be an ``advanced'' revision control
system. Darcs has two particularly distinctive features which differ
from other revision control systems: 
  1) each copy of the source is a fully functional branch, and 
  2) underlying darcs is a consistent and powerful theory of patches.

This package contains components neccessary to run publically accessible
darcs repository (via HTTP).

%prep
%setup -q
%patch -p1

%build
autoconf
%configure
%make_build

%install
%make DESTDIR=%buildroot installbin 
%__rm -rf %buildroot%_sysconfdir/bash_completion.d
%__mv -f %buildroot%_bindir/convert-repo %buildroot%_bindir/%name-convertrepo
%__install -D darcs_cgi %buildroot%_var/www/cgi-bin/%name
%__mkdir -p %buildroot{%_cachedir/%name,%_libdir/%name/repos,%_var/www/repos}

%clean

%files
%attr (0755,root,root) %_bindir/%name
%attr (0755,root,root) %_bindir/darcs-convertrepo
%_man1dir/%name.1*

%files server
%attr (0755,root,webmaster) %_var/www/cgi-bin/%name
#%%attr (0750,root,root) %_sbindir/%name-createrepo
%attr (0755,root,apache) %dir %_cachedir/%name
%attr (0755,root,root) %dir %_libdir/%name
%attr (0755,root,root) %dir %_var/www/repos

%files docs
%doc %name.ps AUTHORS COPYING TODO manual

%changelog
* Thu Dec 11 2003  Alexander Bokovoy <ab@altlinux.ru> 0.9.14-alt1
- Initial build.



